<?php
//---------------------------------------------------------------------------------------------------------
// 17/Dicembre/2018
// Versión 1.0 Del fichero que genera los ficheros de exportación de sinlib a la web paar la versión 2.5 de WS
//---------------------------------------------------------------------------------------------------------

//Nos empezamos asegurando de que los códigos de Sinlib de los clientes se propaguen a los pedidos
/*PedidoCliente::associateEmptyClientsCode();
$campos = BaseDatos::dameCampos('cliente');

$sentencia_sql = 'SELECT ' . Usuario::getCampos(true) . ' 
FROM ' . Usuario::getNombreTabla(true) . ' 
WHERE ' . Usuario::getAlias() . '.`pendiente_sinlib` = 0 ';

//WHERE ' . Usuario::getWhereTabla($codigo);
echo("<pre>");
echo($sentencia_sql . "
");
var_dump($campos);
echo("<//pre>");
//Ahora generamos los clientes, para ello componemos la select de clientes

//Y ahora generamos los pedidos
*/
//Nos empezamos asegurando de que los códigos de Sinlib de los clientes se propaguen a los pedidos
PedidoCliente::associateEmptyClientsCode();
//Ahora ejecutamos la exportación
$sincronizador = new ArmiSync(true);
//Indicamos el juego de caracteres de conversión
$sincronizador->setEncodingOutput(array('UTF-8//IGNORE', 'ISO-8859-1'));
//Primero de clientes
$sincronizador->generar_fichero_usuario();
//Ahora de pedidos
echo("Tratamos de generar los ficheros de pedidos<br />\n");
$sincronizador->generar_fichero_pedido();
